在升级到Rubygems 1.5.0后,Bundler抛出未初始化的常量Gem :: SilentUI(NameError)错误怎么办?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (14)

我运行gem update --system

更新到Rubygems 1.5.0

但每次运行bundle出错:

rvm/gems/ruby-1.8.7-p249/gems/bundler-1.0.9/lib/bundler/ui.rb:56: uninitialized constant Gem::SilentUI (NameError)

提问于
用户回答回答于

更新到bundler1.0.10或更高版本(gem update bundler)。该问题在更高版本中得到解决。

用户回答回答于

扫码关注云+社区